<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='SSVG Example' :maxState="2")
  template(v-slot:description)
    h5 This is a SSVG example
    p Click on the #[em animate] to change its state.
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        +prop("state") input state binding

    div #[strong Methods:]
      ul
        +prop("reload(): void") reload the SSVG document
        +prop("updateState(state: any): void") update current state
        +prop("getState(): any") get current SSVG state

    div #[strong Slots:]
      ul
        +prop("default") an SSVG document

      div
        | #[strong.text-info Note:] when not using an iframe, the root node of this component
        | is an #[tt svg] thus it can be omitted to shorten the content.

  template(v-slot:code)
    template(v-pre).
      .row.justify-content-center
        BaseSSVG.px-1(:state='{ count: state }' width='80%' height='100%' style="overflow: visible;")
          svg(width='100%' height='100%' style="overflow: visible;")
            state
              transition(v-pre duration='1s')
              property(name="count" type="number" min="0" max="2")
                relation(attribute-name="fill" query-selector="rect" from="rgb(255, 177, 59)" to="pink")
                relation(attribute-name="stroke-width" query-selector="rect" from="0" to="2em")
                relation(attribute-name="rx" query-selector="rect" from="0" to="50%")
                relation(query-selector=".value" from="0" to="2")
                  transition(v-pre duration="0")
            rect(fill='blue' width='100%' height='100%' stroke='red')
            text(text-anchor="middle" x="50%" y="50%")
              tspan basic SSVG integration
              tspan(dy='1em' x='50%') value: \#[tspan.value ?]
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleSSVG",
  components: { Example }
};

</script>
